> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tembo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List agent schedules

> List agent schedules



## OpenAPI

````yaml https://api.tembo.io/public-api/openapi/public get /v1/agents/{agentId}/schedules
openapi: 3.1.0
info:
  title: Tembo Public API
  description: Public API Endpoints for Tembo
  version: 1.0.0
servers:
  - url: https://api.tembo.io
    description: Tembo API
  - url: https://{deployment-origin}/api/public-api
    description: Self-hosted Tembo
    variables:
      deployment-origin:
        default: tembo.example.com
        description: Hostname of your self-hosted Tembo deployment
security: []
paths:
  /v1/agents/{agentId}/schedules:
    get:
      tags:
        - Agents
      summary: List agent schedules
      description: List agent schedules
      operationId: listAgentSchedules
      parameters:
        - in: path
          name: agentId
          schema:
            type: string
            format: uuid
          required: true
        - in: query
          name: cursor
          schema:
            type: string
            format: uuid
        - in: query
          name: limit
          schema:
            type: string
            pattern: ^\d+$
            default: '25'
      responses:
        '200':
          description: List agent schedules
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                        cron:
                          type: string
                        lastRunAt:
                          type:
                            - string
                            - 'null'
                          format: date-time
                        nextRunAt:
                          type:
                            - string
                            - 'null'
                          format: date-time
                        enabledAt:
                          type:
                            - string
                            - 'null'
                          format: date-time
                        createdAt:
                          type: string
                          format: date-time
                        updatedAt:
                          type: string
                          format: date-time
                        agentId:
                          type: string
                          format: uuid
                      required:
                        - id
                        - cron
                        - lastRunAt
                        - nextRunAt
                        - enabledAt
                        - createdAt
                        - updatedAt
                        - agentId
                      additionalProperties: false
                  nextCursor:
                    type:
                      - string
                      - 'null'
                    format: uuid
                required:
                  - items
                  - nextCursor
                additionalProperties: false
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '404':
          description: Resource not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '409':
          description: Resource conflict
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '500':
          description: Agent operation failed
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer

````